# OsiLinkBranchingObject Class Reference

Branching object for Linked ordered sets. More...

`#include <CbcLinked.hpp>`

Inheritance diagram for OsiLinkBranchingObject:
[legend]
Collaboration diagram for OsiLinkBranchingObject:
[legend]

List of all members.

## Public Member Functions
| OsiLinkBranchingObject ()
| OsiLinkBranchingObject (OsiSolverInterface *solver, const OsiLink *originalObject, int way, double separator)
| OsiLinkBranchingObject (const OsiLinkBranchingObject &)
OsiLinkBranchingObject & | operator= (const OsiLinkBranchingObject &rhs)
virtual OsiBranchingObject * | clone () const
| Clone.
virtual | ~OsiLinkBranchingObject ()
virtual double | branch (OsiSolverInterface *solver)
| Does next branch and updates state.
virtual void | print (const OsiSolverInterface *solver=NULL)
| Print something about branch - only if log level high.

## Detailed Description

Branching object for Linked ordered sets.

Definition at line 678 of file CbcLinked.hpp.

## Constructor & Destructor Documentation

OsiLinkBranchingObject::OsiLinkBranchingObject | ( |  | ) |

OsiLinkBranchingObject::OsiLinkBranchingObject | ( | OsiSolverInterface * | solver,
|  | const OsiLink * | originalObject,
|  | int | way,
|  | double | separator |
| ) |  |  |

OsiLinkBranchingObject::OsiLinkBranchingObject | ( | const OsiLinkBranchingObject & |  | ) |

virtual OsiLinkBranchingObject::~OsiLinkBranchingObject | ( |  | ) | `[virtual]`

## Member Function Documentation

OsiLinkBranchingObject& OsiLinkBranchingObject::operator= | ( | const OsiLinkBranchingObject & | rhs | ) |

Reimplemented from OsiTwoWayBranchingObject.

virtual OsiBranchingObject* OsiLinkBranchingObject::clone | ( |  | ) | const`[virtual]`

Clone.

Implements OsiBranchingObject.

virtual double OsiLinkBranchingObject::branch | ( | OsiSolverInterface * | solver | ) | `[virtual]`

Does next branch and updates state.

Implements OsiTwoWayBranchingObject.

virtual void OsiLinkBranchingObject::print | ( | const OsiSolverInterface * | solver = `NULL` | ) | `[virtual]`

Print something about branch - only if log level high.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/src/CbcLinked.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines